#! /bin/sh
#
# Copyright 1998 - 2005 Double Precision, Inc.
# See COPYING for distribution information.


prefix=/usr/pkg
exec_prefix=/usr/pkg
bindir=${exec_prefix}/bin
libexecdir=/usr/pkg/libexec/courier
sbindir=${exec_prefix}/sbin

if test ! -f /usr/pkg/etc/courier/pop3d
then
	echo "/usr/pkg/etc/courier/pop3d does not exist, forgot make install-configure?"
	exit 1
fi

if test ! -f /usr/pkg/etc/courier/pop3d-ssl
then
	echo "/usr/pkg/etc/courier/pop3d-ssl does not exist, forgot make install-configure?"
	exit 1
fi


. /usr/pkg/etc/courier/pop3d
. /usr/pkg/etc/courier/pop3d-ssl

case $1 in
start)
	if test "$TLS_CACHEFILE" != ""
	then
		rm -f "$TLS_CACHEFILE"
		touch "$TLS_CACHEFILE"
		chown courier "$TLS_CACHEFILE"
		chgrp mail  "$TLS_CACHEFILE"
		chmod 600  "$TLS_CACHEFILE"
	fi

	/usr/bin/env -i /bin/sh -c " set -a ;
		prefix=/usr/pkg ;
		exec_prefix=/usr/pkg ;
		bindir=${exec_prefix}/bin ;
		libexecdir=/usr/pkg/libexec/courier ;
		sbindir=${exec_prefix}/sbin ;
		. /usr/pkg/etc/courier/pop3d ; \
		. /usr/pkg/etc/courier/pop3d-ssl ; \
		PROXY_HOSTNAME=$PROXY_HOSTNAME ; \
		POP3_TLS=1; \
		POP3_STARTTLS=NO; \
		POP3_TLS_REQUIRED=0; \
		/usr/pkg/bin/gmkdir -p `dirname $SSLPIDFILE` ; \
		/usr/pkg/sbin/courierlogger -pid=$SSLPIDFILE -start $SSLLOGGEROPTS \
		${exec_prefix}/sbin/couriertcpd -address=$SSLADDRESS \
			-maxprocs=$MAXDAEMONS -maxperip=$MAXPERIP \
			$TCPDOPTS \
			$SSLPORT $COURIERTLS -server -tcpd \
				-user=courier \
				/usr/pkg/libexec/courier/courierpop3login \
				/usr/pkg/libexec/courier/courierpop3d ${MAILDIRPATH}"
	;;
stop)
	/usr/pkg/sbin/courierlogger -pid=$SSLPIDFILE -stop
	;;
esac
exit 0
